/*
 * Copyright 2007, 2008 Duncan McGregor
 * 
 * This file is part of Rococoa, a library to allow Java to talk to Cocoa.
 * 
 * Rococoa is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Rococoa is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rococoa.  If not, see <http://www.gnu.org/licenses/>.
 */
 
package org.rococoa;


/**
 * Marker interface that an OCObject represents a Class.
 * 
 * Note that in Objective-C Class is a struct, so there are no methods to call.
 * 
 * @author duncan
 *
 */
public interface NSClass extends NSObject {

    public static final _Class CLASS = new _Class();
    
    public static class _Class {
        public NSClass classWithName(String className) {
            return Rococoa.createClass(className, NSClass.class);
        }
    }
    
}
